Generate task execution URL and token
- Updated: 2026/03/26
Deploying an API Task requires a task execution URL and an authorization token. The API Task Access Details API endpoint generates this task execution URL and authorization token.
Endpoint
POST https://{{ControlRoomURL}}/orchestrator/v1/hotbot/config/accessdetails
Request body
{
"botRepositoryPath": [
"Automation Anywhere\\Bots\\Zip Code API Task"
]
}
Request parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| botRepositoryPath | String | Yes | Repository path of the API Task. |
Response
{
"accessDetails": {
"Automation Anywhere\\Bots\\Zip Code API Task": {
"url": "https://hotbot-2689-knative-0a665343-88e9-17be-8189-936dad5d0144.prod-ause1-ee.my.automationanywhere.digital/execute",
"headers": {
"X-Authorization": "eyJhbGciOiJSUzUxMiJ9.eyJzdWIiOiIzODAiLCJ0ZW5hbnRVdWlkIjoiMGE2NjUzNDMtODhlOS0xN2JlLTgxODktOTM2ZGFkNWQwMTQ0IiwiY2xpZW50VHlwZSI6IldFQiIsIm11bHRpcGxlTG9naW4iOnRydWUsImJvdElkIjoyNjg5LCJpYXQiOjE3MDgzNTIxOTgsImV4cCI6MTcwODM5NTM5OCwiaXNzIjoiQXV0b21hdGlvbkFueXdoZXJlIiwibmFub1RpbWUiOjI5OTg3MDkyNzIxNjc5MH0.p8xsnlec7-ZbPJBfDDk1Wq0k8RqAzzsL6bK7BOtLp_jY1NgQvdAO5Yra647-94JV2cY8Vbe5H7zObia3S9oQ9dFXrnmSSSYs3_x7e_-vkaNcwx1Ev3J7lymqnH8Xc73s-TTGyebRlXiI714Ii62DJ_vKBEUvNM47V0H1FQk6xIfpzJAMMDRFZWO3MUvowgD4L-O6xre0RLapCYOSVtH_0CbM0VBfNkuwDAnF1kQeCtpWIvv_nETy7A-UdSox9GqtDp9h2Elkl-v3KJ8kEru7qT4fWZlsuzFPL7XzqkALCP39N7fxOpzlCfHYGPooLRHcFLGIPxpqi1bkfsn-Xk2BfQ"
}
}
},
"errors": {
}
}
Note: The execution URL and token for a real-time API Task have a limited lifespan. To prevent authorization failures,
refresh the URL and token periodically before they expire. For example: If you use
an API client like Postman or an external script, execute this API call every 5
minutes to refresh both.
Response parameters| Parameter | Type | Description |
|---|---|---|
| url | String | Contains the execution URL for the API request to deploy API Tasks. |
| X-Authorization | String | Contains the token that you must add as the authorization header. |
Note: Ensure that you mark the target variables as inputs
so that the API Task receives the mapped input variables during
deployment. The deployment of API Tasks fails if the name of the
variable does not match the value mapped in the request body.
Next steps
After you generate the URL and the authorization, use them and follow the instructions in Execute API Task real-time endpoint to deploy API Tasks.